\name{msigdb_build}
\alias{msigdb_build}

\title{
Build pathway annotation database from MSigDB gene sets
}

\description{
The function parses GMT files of MSigDB gene sets V4.0, downloaded from the MSigDB web site of Broad Institute, and
builds a locally integrated pathway annotation database for snpGeneSets package to support two-way mapping between
genes and pathways and pathway enrichment analysis I and II. 
}

\usage{
msigdb_build(gmt_dir)
}


\arguments{
  \item{gmt_dir}{
  A character variable specifies the directory for GMT files of MSigDB gene sets V4.0
}
}


\details{
	The function parses 19 GMT files from 7 major gene-set categories for MSigDB 4.0, and build a locally integrated 
	pathway database for two-way mapping between genes and pathways and pathway enrichment analysis I and II. The function
	classifies gene sets into total 20 categories that have the type ID, 'setType', from 0 to 19, based on classification
	of MSigDB Collections. To simplify the reference of MSigDB gene sets, the function assigns a unique number for every
	gene set, which is labeled as 'PID' and directly used for annotation and enrichment analysis.
}

\value{
}

\references{
http://www.broadinstitute.org/gsea/downloads.jsp
}

\author{
H Mei; L Li
}

\note{
}

\seealso{
\code{\link{getSetType}}, \code{\link{getSetGenes}}, \code{\link{setID2setType}}, \code{\link{setType2setID}},\code{\link{enrichTest1}}, \code{\link{enrichTest2}}
}

\examples{
# gmt_dir="C:/tmp/msigdb_v4.0_files_to_download_locally/msigdb_v4.0_GMTs"
# msigdb_build(gmt_dir)
}

\keyword{pathway, gene set, mapping, annotation, MSigDB}

